petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscObjectSetFortranCallback

set fortran callback function pointer and context

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscObjectSetFortranCallback(PetscObject obj,PetscFortranCallbackType cbtype,PetscFortranCallbackId *cid,void (*func)(void),void *ctx)

Logically Collective Many br

### Input Arguments

| obj | - object on which to set callback Many br
| cbtype | - callback type (class or subtype) Many br
| cid | - address of callback Id, updated if not yet initialized (zero) Many br
| func | - Fortran function Many br
| ctx | - Fortran context Many br

Many br

### See Also

PetscObjectGetFortranCallback()

Level:developer
Location:src/sys/objects/inherit.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages